%define version 1.2.0
%define name drakpxelinux
%define release 10mdk

Summary:	PXE default file configurator
Name:		%{name}
Version:	%{version}
Release:        %{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/drakpxelinux/
Group:		System/Configuration/Other
Packager:	Antoine Ginies <aginies@mandriva.com>
Requires:	perl-Gtk2, perl-MDK-Common, pxe, drakxtools, tftp-server, xinetd, pxelinux
BuildRoot:	%{_tmppath}/%{name}-buildroot
Buildarch:	noarch

%description
Quick configuration of PXE menu parameters. 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="/usr/sbin/%{name}" section="Configuration/Other" \
icon="configuration_section.xpm" needs="x11" title="Drakpxelinux" \
longtitle="Mandriva Linux Pxelinux configurator"
EOF

#install lang
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc default TODO COPYING
%{_sbindir}/%{name}
%{_sbindir}/deployd
%{_sbindir}/deploy_get_autoinst.pl
%{_sysconfdir}/xinetd.d/deployd
%{_sysconfdir}/xinetd.d/deploy_get_autoinst
#%{_datadir}/%{name}*
%{_menudir}/%{name}*

%changelog
* Thu Sep 15 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-10mdk
- add deploy_server directly in $o hash, not at end of file (or else it will be ignored) (blino)

* Thu Sep 15 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-9mdk
- add deploy_get_autoinst deploy_get_autoinst.pl (blino)
- auto_install: test perl script
- catch USR1 signal to update systems tab
- improve auto_install option

* Wed Sep 14 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-8mdk
- allow to automatically select the network interface #18513 (blino)
- remove PXE entry doesn't remove kernel and initrd
- use auto_install instead of kickstart option
- re-enable local boot in default profil
- fix bug in write/read custom options
- fix ramdisk_size (read/write)
- add quick help on auto-install

* Tue Sep 13 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-7mdk
- clone/add/remove now refresh default boot menu
- remove old code
- user can't change initrd and kernel path

* Sat Sep 10 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-6mdk
- set default vga option to 788
- force default boot for a profil

* Tue Sep  6 2005  Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-5mdk
- move drakpxelinux.pl in /usr/sbin directory to be able to use consolehelper
- fix missing directory

* Mon Sep  5 2005  Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-4mdk
- fx default boot for profile

* Mon Sep  5 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-3mdk
- major bug fix: write_conf, fix local pb, fix duplicate default config
- update all PO files (thx translators)

* Fri Sep  2 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-2mdk
- fix vga resolution pb
- fix pb of duplicate entry in systems tab (need to update systems avec get all mac addr)
- now we can clone PXE entry
- select default boot in combobox
- fix memdisk/data.img and kernel/initrd test
- fix: add an entry only if a profile is selected

* Thu Sep  1 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.2.0-1mdk
- various imrpovement (from blino's kadeploy)
- add xinetd.d daemon (blino)

* Thu Jul 21 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.1.0-2mdk
- convert vga codes and resolutions when appropriate (blino)
- fix installation method

* Wed Jul 13 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.1.0-1mdk
- improve GUI
- add menu
- remove "instant change", and add an apply button
- use consolehelper
- avoid remove/edit local entry

* Tue Jul 12 2005 Olivier Blin <oblin@mandriva.com> 1.0.2-6mdk
- move configuration code to network::pxe, cleanups
- fix vga resolutions list in Edit window
- add profiles support

* Tue Mar 22 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0.2-5mdk
- fix wizard
- add ka method

* Tue Feb 15 2005 guibo <guibo@guiboserv.guibland.com> 1.0.2-4mdk
- fix init in PXE server (wizard)

* Fri Feb 11 2005 guibo <guibo@nodewireless.guibland.com> 1.0.2-3mdk
- fix bug (update vmlinuz and initrd files)

* Mon Jan 24 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0.2-2mdk
- update po files.

* Fri Nov 12 2004 guibo <guibo@node80.guibland.com> 1.0.2-1mdk
- fix custom option, dhcp/ip addr
- add test in add wizard
- now support multiple interfaces
- add a button to reconfigure PXE server
- display resolution instead of vga code

* Fri Oct 01 2004 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0.1-3mdk

- add missing po files

* Tue Sep 14 2004 Antoine Ginies <aginies@mandrakesoft.com> 1.0.1-2mdk
- fix busy cursor

* Mon Aug 30 2004 guibo <guibo@node80.guibland.com> 1.0.1-1mdk
- typo fix (Joao Ferreira; Arpad Biro)

* Fri Aug 13 2004 Antoine Ginies <aginies@mandrakesoft.com> 1.0.0-1mdk
- add a check of pxe.conf file
- add a check box for DHCP or ip address
- add test on IP address
- display vga resolution in edit box
- perl_checker fix
- rearrange some widgets (thx Mokaddem)
- fix label in column
- thx R1 for help/idea, Chandra/Nicolabs for test

* Wed Aug 11 2004 mdkc Antoine Ginies <aginies@mandrakesoft.com> 0.9.1-1mdk
- add a file dialog box for directory
- some clean in code

* Tue Aug 10 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.9.0-2mdk
- fix pb of same var in code

* Sat Aug 7 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.9.0-1mdk
- add interactive help
- use OptionMenu instead of Combo box

* Fri Aug  6 2004 guibo <guibo@node80.guibland.com> 0.8.0-3mdk
- remove kernel/initrd in remove mode
- default options are blank in add image
- add a test in file selection
- readjust info in wizard
- add a wait message in wizard
- add info in edit box
- add a dialog box (first time launch)

* Fri Aug  6 2004 guibo <guibo@node80.guibland.com> 0.8.0-2mdk
- improve get information
- fix pb of wizard
- block rename of label (to fix pb of same label name)
- typo

* Fri Aug  6 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.8.0-1mdk
- fix button display
- add help.txt support
- fix wizard
- add label
- enable tftp server
- save old config
- add wizard to add an image in pxe
- cell no more editable
- fix get_information in help.txt

* Thu Aug  5 2004 guibo <guibo@node80.guibland.com> 0.7.0-1mdk
- fix display pb
- add entry in menu
- correct requires

* Thu Jul 29 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.6.0-1mdk
- fix edit dialog box
- now support embedded mode (mcc)

* Wed Jul 28 2004 mdkc <mdkc@dhcp114.mandrakesoft.com> 0.5.0-2mdk
- fix cancel button (initrd/kernel choice)

* Thu Jul 22 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.5.0-1mdk
- first release
